[Svn] r1952 - trunk/roundcubemail/bin

trac at roundcube.net trac at roundcube.net
Tue Oct 7 15:52:40 CEST 2008


Author: alec
Date: 2008-10-07 08:52:39 -0500 (Tue, 07 Oct 2008)
New Revision: 1952

Modified:
   trunk/roundcubemail/bin/dumpschema.php
   trunk/roundcubemail/bin/makedoc.sh
Log:
#1485456: small improvements in scripts


Modified: trunk/roundcubemail/bin/dumpschema.php
===================================================================
--- trunk/roundcubemail/bin/dumpschema.php	2008-10-07 11:03:38 UTC (rev 1951)
+++ trunk/roundcubemail/bin/dumpschema.php	2008-10-07 13:52:39 UTC (rev 1952)
@@ -1,6 +1,6 @@
 <?php
 
-define('INSTALL_PATH', realpath('./../') . '/');
+define('INSTALL_PATH', realpath(dirname(__FILE__) . '/..') . '/' );
 require INSTALL_PATH.'program/include/iniset.php';
 
 /** callback function for schema dump **/

Modified: trunk/roundcubemail/bin/makedoc.sh
===================================================================
--- trunk/roundcubemail/bin/makedoc.sh	2008-10-07 11:03:38 UTC (rev 1951)
+++ trunk/roundcubemail/bin/makedoc.sh	2008-10-07 13:52:39 UTC (rev 1952)
@@ -3,10 +3,21 @@
 TITLE="RoundCube Classes"
 PACKAGES="Core"
 
-PATH_PROJECT=$PWD/program/include
-PATH_DOCS=$PWD/doc/phpdoc
-PATH_PHPDOC=/usr/local/php5/bin/phpdoc
+INSTALL_PATH="`dirname $0`/.."
+PATH_PROJECT=$INSTALL_PATH/program/include
+PATH_DOCS=$INSTALL_PATH/doc/phpdoc
 
+if [ -x /usr/local/php5/bin/phpdoc ]
+then
+  PATH_PHPDOC=/usr/local/php5/bin/phpdoc
+elif [ -x /usr/bin/phpdoc ]
+then
+  PATH_PHPDOC=/usr/bin/phpdoc
+else
+  echo "phpdoc not found"
+  exit 1
+fi
+
 OUTPUTFORMAT=HTML
 CONVERTER=frames
 TEMPLATE=earthli

_______________________________________________
http://lists.roundcube.net/mailman/listinfo/svn



More information about the Svn mailing list